"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ngAdd = void 0;
const dependencies_1 = require("@schematics/angular/utility/dependencies");
const tasks_1 = require("@angular-devkit/schematics/tasks");
function ngAdd() {
    return (tree, context) => {
        const viApiDependency = {
            type: dependencies_1.NodeDependencyType.Default,
            name: "@sassoftware/vi-api",
            version: "latest"
        };
        dependencies_1.addPackageJsonDependency(tree, viApiDependency);
        context.addTask(new tasks_1.NodePackageInstallTask());
        return tree;
    };
}
exports.ngAdd = ngAdd;
//# sourceMappingURL=index.js.map